Bug 511282 - LVDS locked to native res with xrandr, even with external display attached
LVDS locked to native res with xrandr, even with external display attached
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fitandfinish
  Show dependency treegraph
 
Reported: 2009-07-14 10:47 EDT by Bill Nottingham
Modified: 2014-03-16 23:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 13:41:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (129.60 KB, text/plain)
2009-07-14 10:50 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2009-07-14 10:47:49 EDT
Description of problem:

I have a Thinkpad with a native 1400x1050 LCD.

I plug in an external monitor/projector/whatever.

When I choose a 1024x768 mode (which the internal LCD can support), it doesn't actually scale the LCD, or even offer any other res as an option.

Example:

[notting@nostromo: ~]$ xrandr
Screen 0: minimum 320 x 200, current 1400 x 1050, maximum 4096 x 4096
VGA1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 474mm x 296mm
   1680x1050      60.0 +
   1280x1024      75.0  
   1024x768       75.1*    70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
LVDS1 connected 1400x1050+0+0 (normal left inverted right x axis y axis) 287mm x 215mm
   1400x1050      60.0*+   50.0  
DVI1 disconnected (normal left inverted right x axis y axis)

Version-Release number of selected component (if applicable):

kernel-2.6.29.5-191.fc11.x86_64
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64

How reproducible:

100%
Comment 1 Bill Nottingham 2009-07-14 10:50:10 EDT
Created attachment 351597 [details]
X log
Comment 2 Matěj Cepl 2009-11-05 13:34:37 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Bill Nottingham 2009-11-05 13:41:38 EST
This got fixed.

Note You need to log in before you can comment on or make changes to this bug.